import { BasicColumn, FormSchema } from '/@/components/Table';
import moment from 'moment';
import { h } from 'vue';

// 表格配置
export const columns: BasicColumn[] = [
  {
    title: '脚本名称',
    dataIndex: 'name',
    width: 80,
  },
  {
    title: '脚本状态',
    dataIndex: 'status',
    width: 120,
    slots: { customRender: 'status' },
  },
  {
    title: '脚本内容',
    dataIndex: 'convertJs',
    width: 120,
    slots: { customRender: 'convertJs' },
  },
  {
    title: '备注',
    dataIndex: 'description',
    width: 120,
  },
  {
    title: '创建时间',
    dataIndex: 'createTime',
    width: 180,
  },
];

// 查询配置
export const searchFormSchema: FormSchema[] = [
  {
    field: 'name',
    label: '脚本名称',
    component: 'Input',
    colProps: { span: 6 },
    componentProps: {
      maxLength: 36,
      placeholder: '请输入配置名称',
    },
  },
  {
    field: 'sendTime',
    label: '创建时间',
    component: 'RangePicker',
    componentProps: {
      showTime: {
        defaultValue: [moment('00:00:00', 'HH:mm:ss'), moment('23:59:59', 'HH:mm:ss')],
      },
    },
    colProps: { span: 6 },
  },
];

export const defaultTitle = h('div', { style: 'background:#404040' }, [
  h('h3', { style: 'color:white' }, '示例'),
  h('h3', { style: 'color:white' }, '输入参数:'),
  h('h3', { style: 'color:white' }, '0103040150008D3BBB'),
  h('h3', { style: 'color:white' }, [
    h('h3', { style: 'color:white' }, '脚本内容:'),
    h(
      'h3',
      { style: 'color:white' },
      "out.humidity = (parseInt('0x'+params.substr(6, 4))*0.1).toFixed(2);"
    ),
    h(
      'h3',
      { style: 'color:white' },
      "out.temperature = (parseInt('0x'+params.substr(10, 4))*0.1).toFixed(2);"
    ),
    h('h3', { style: 'color:white' }, '输出参数:'),
    h('h3', { style: 'color:white' }, "{'humidity':'33.60','temperature':'14.10'}"),
  ]),
]);
